%define srcname ktp-send-file
%define rel 1

Summary:        File Manager plugin to launch a file transfer job with a specified contact
Name:           telepathy-kde-send-file
Version: 0.6.0
Release:        %mkrel %{rel} 
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-send-file
Source0:        ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%srcname-%version.tar.bz2
License:        GPLv2+
Group:          Networking/Instant messaging
BuildRequires:  telepathy-kde-common-internals-devel >= %{version}
Requires:       telepathy-kde-common-internals-core


%description
A File manager plugin to launch a file transfer job with a specified contact.

%files -f ktp-send-file.lang
%{_kde_bindir}/ktp-send-file
%{_kde_services}/ServiceMenus/ktp-send-file.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %srcname-%version
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang ktp-send-file


%changelog

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407388
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402410
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399548
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332474
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306888
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285449
- Update tarball to 0.5.0
- Drop patch merged

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271803
- New version 0.4.0

* Mon Apr 09 2012 tmb <tmb> 0.3.0-1.mga2
+ Revision: 229995
- fix desktop file

  + mikala <mikala>
    - Add requires for common translations
    - Update tarball to 0.3.0
    - Add patch0 to fix build of po files
    - Remove tabs
    - Fix group

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173573
- Update tarball to 0.2.0
- fix files list
- Add patch0 to fix desktop file validation by BS
- imported package telepathy-kde-send-file

